<?xml version="1.0"?>
<launch>
  <!-- Export env variable so that gazebo finds our models -->
  <env name="GAZEBO_MODEL_PATH"
       value="$(find ur3_gazebo)/models:$(optenv GAZEBO_MODEL_PATH)" />
  
  <!-- Launch file parameters -->
  <arg name="paused"     default="true"/>
  <arg name="debug"      default="false"/>
  <arg name="gui"        default="true"/>
  <arg name="rate"       default="125" />
  <arg name="world_name" default="$(find ur3_gazebo)/worlds/cubes_task.world" />
  <arg name="effort_interface" default="false"/>
  <arg name="grasp_plugin" default="false"/>

  <param if="$(arg grasp_plugin)" name="grasp_plugin" value="true"/>
  
  <!-- Start up simulated world -->
  <include file="$(find gazebo_ros)/launch/empty_world.launch">
    <arg name="world_name" value="$(arg world_name)"/>
    <arg name="paused"     value="$(arg paused)"/>
    <arg name="debug"      value="$(arg debug)"/>
    <arg name="gui"        value="$(arg gui)"/>
    <arg name="verbose" value="false"/>
  </include>

  <include file="$(find ur_control)/launch/ur5e_controllers_osx.launch">
  </include>
  <!-- Send robot urdf to param server -->
  <param name="robot_description" 
         command="$(find xacro)/xacro --inorder 
                  '$(find ur3_description)/urdf/ur3e/ur5e_robotiq140_gripper.urdf.xacro'" />
  <!-- Spawn robot in gazebo (and move it upwards):
       better initial values should be -2.355 and 1.57 but the robot does
       something strange when unpausing it
  -->
  <node name="spawn_gazebo_model" pkg="gazebo_ros" type="spawn_model"
        args="-urdf -param robot_description -model robot 
              -x 0.11 -z 0.685 -Y -1.5707
              -J shoulder_pan_joint 1.57
              -J shoulder_lift_joint -1.57
              -J elbow_joint 1.26
              -J wrist_1_joint -1.57
              -J wrist_2_joint -1.57
              -unpause"
        output="screen" />


</launch>
